#####  Created by:
#####  Bridge Commander Universal Tool


import App
import Foundation


abbrev = "TUWarbird"
iconName = "TUWarbird"
longName = "D'Deridex"
shipFile = "TUWarbird"
species = App.SPECIES_GALAXY
menuGroup = "Romulan Ships"
playerMenuGroup = "Romulan Ships"
Foundation.ShipDef.TUWarbird = Foundation.RomulanShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile })


Foundation.ShipDef.TUWarbird.desc = "The D\'Deridex-class, or B-Type Warbird, is one of the largest and most advanced ships to operate in the Romulan fleet; the ship is almost twice the size of the Federation\'s Galaxy-class starship. The D\'Deridex is heavily armed as well, with an array of weapons inlcuding disruptors, phaser cannons and plasma torpedoes; with the addition of strong deflector shields and an advanced cloaking system, the Warbird is a match for any Alpha-Quadrant vessel. The ship\'s sophisticated quantum singularity power core allows it to reach a maximum warp velocity of 9.55, and sustain a high sub-light speed as well.\n\nMost of the Warbird\'s weapons systems are located towards the bow of the ship, which include two torpedo launchers and a high-power distruptor cannon. The rear quarter of the ship is more vulnerable to attack, due to limted weapons and shield coverage. In addition to this, the ship\'s large mass and intertia mean that it has less manoeuverability than other ships of it\'s class. Romulan commanders generally use the cloaking device to maximum advantage by moving in close to an enemy target, decloaking and firing a volley of the ship\'s frontal weapons, such an attack can be devestating.\n\nTactical Information\nPhasers: 3 Fore, 2 Port, 2 Starboard, 1 Dorsal, 1 Ventral\nDisruptors: 1 Fore (High-Power), 1 Port, 1 Starboard, 2 Dorsal, 2 Ventral\nTorpedoes: 2 Forward launchers, 1 Aft Launcher. (2 Torpedoes per launcher)\nShield Ratings: 19 Fore, 15 Aft, 16.5 Port, Starboard, Dorsal and Ventral.\nHull Integrity Rating: 34"
Foundation.ShipDef.TUWarbird.fMaxWarp = 9.55 + 0.0001
Foundation.ShipDef.TUWarbird.fCruiseWarp = 8 + 0.0001
Foundation.ShipDef.TUWarbird.fCrew = 1750


if menuGroup:           Foundation.ShipDef.TUWarbird.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.TUWarbird.RegisterQBPlayerShipMenu(playerMenuGroup)


if Foundation.shipList._keyList.has_key(longName):
      Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
      Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]
