#####  Created by:
#####  Bridge Commander Universal Tool



import App
import GlobalPropertyTemplates

# Local Templates
#################################################
FwdTorpedo1 = App.TorpedoTubeProperty_Create("Fwd Torpedo 1")

FwdTorpedo1.SetMaxCondition(2500.000000)
FwdTorpedo1.SetCritical(0)
FwdTorpedo1.SetTargetable(1)
FwdTorpedo1.SetPrimary(1)
FwdTorpedo1.SetPosition(0.164399, 5.890000, -0.214633)
FwdTorpedo1.SetPosition2D(58.000000, 2.000000)
FwdTorpedo1.SetRepairComplexity(2.000000)
FwdTorpedo1.SetDisabledPercentage(0.450000)
FwdTorpedo1.SetRadius(0.100000)
FwdTorpedo1.SetDumbfire(1)
FwdTorpedo1.SetWeaponID(1)
FwdTorpedo1.SetGroups(1)
FwdTorpedo1.SetDamageRadiusFactor(0.060000)
FwdTorpedo1.SetIconNum(370)
FwdTorpedo1.SetIconPositionX(73.000000)
FwdTorpedo1.SetIconPositionY(40.000000)
FwdTorpedo1.SetIconAboveShip(1)
FwdTorpedo1.SetImmediateDelay(1.000000)
FwdTorpedo1.SetReloadDelay(22.500000)
FwdTorpedo1.SetMaxReady(2)
FwdTorpedo1Direction = App.TGPoint3()
FwdTorpedo1Direction.SetXYZ(0.000000, 1.000000, 0.000000)
FwdTorpedo1.SetDirection(FwdTorpedo1Direction)
FwdTorpedo1Right = App.TGPoint3()
FwdTorpedo1Right.SetXYZ(0.000000, 0.000000, 1.000000)
FwdTorpedo1.SetRight(FwdTorpedo1Right)
App.g_kModelPropertyManager.RegisterLocalTemplate(FwdTorpedo1)
#################################################
ShieldGenerator = App.ShieldProperty_Create("Shield Generator")

ShieldGenerator.SetMaxCondition(13000.000000)
ShieldGenerator.SetCritical(0)
ShieldGenerator.SetTargetable(1)
ShieldGenerator.SetPrimary(1)
ShieldGenerator.SetPosition(0.000000, -2.501710, 1.073990)
ShieldGenerator.SetPosition2D(47.000000, 67.000000)
ShieldGenerator.SetRepairComplexity(3.000000)
ShieldGenerator.SetDisabledPercentage(0.500000)
ShieldGenerator.SetRadius(0.500000)
ShieldGenerator.SetNormalPowerPerSecond(2000.000000)
ShieldGeneratorShieldGlowColor = App.TGColorA()
ShieldGeneratorShieldGlowColor.SetRGBA(0.368627, 0.882353, 0.313726, 0.466667)
ShieldGenerator.SetShieldGlowColor(ShieldGeneratorShieldGlowColor)
ShieldGenerator.SetShieldGlowDecay(1.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.FRONT_SHIELDS, 19000.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.REAR_SHIELDS, 15000.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.TOP_SHIELDS, 16500.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.BOTTOM_SHIELDS, 16500.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.LEFT_SHIELDS, 16500.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.RIGHT_SHIELDS, 16500.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.FRONT_SHIELDS, 12.500000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.REAR_SHIELDS, 10.500000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.TOP_SHIELDS, 11.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.BOTTOM_SHIELDS, 11.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.LEFT_SHIELDS, 11.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.RIGHT_SHIELDS, 11.000000)
App.g_kModelPropertyManager.RegisterLocalTemplate(ShieldGenerator)
#################################################
Hull = App.HullProperty_Create("Hull")

Hull.SetMaxCondition(34000.000000)
Hull.SetCritical(1)
Hull.SetTargetable(1)
Hull.SetPrimary(1)
Hull.SetPosition(0.000000, 0.000000, 1.052710)
Hull.SetPosition2D(61.000000, 68.000000)
Hull.SetRepairComplexity(1.600000)
Hull.SetDisabledPercentage(0.000000)
Hull.SetRadius(3.000000)
App.g_kModelPropertyManager.RegisterLocalTemplate(Hull)
#################################################
SensorArray = App.SensorProperty_Create("Sensor Array")

SensorArray.SetMaxCondition(6500.000000)
SensorArray.SetCritical(0)
SensorArray.SetTargetable(1)
SensorArray.SetPrimary(1)
SensorArray.SetPosition(0.000000, 1.310340, -0.129059)
SensorArray.SetPosition2D(86.000000, 33.000000)
SensorArray.SetRepairComplexity(1.000000)
SensorArray.SetDisabledPercentage(0.450000)
SensorArray.SetRadius(0.100000)
SensorArray.SetNormalPowerPerSecond(250.000000)
SensorArray.SetBaseSensorRange(2100.000000)
SensorArray.SetMaxProbes(10)
App.g_kModelPropertyManager.RegisterLocalTemplate(SensorArray)
#################################################
QuantumSingularity = App.PowerProperty_Create("Quantum Singularity")

QuantumSingularity.SetMaxCondition(9000.000000)
QuantumSingularity.SetCritical(1)
QuantumSingularity.SetTargetable(1)
QuantumSingularity.SetPrimary(1)
QuantumSingularity.SetPosition(0.000000, -0.455679, 1.889930)
QuantumSingularity.SetPosition2D(80.000000, 69.000000)
QuantumSingularity.SetRepairComplexity(3.000000)
QuantumSingularity.SetDisabledPercentage(0.500000)
QuantumSingularity.SetRadius(0.250000)
QuantumSingularity.SetMainBatteryLimit(81500.000000)
QuantumSingularity.SetBackupBatteryLimit(80000.000000)
QuantumSingularity.SetMainConduitCapacity(6700.000000)
QuantumSingularity.SetBackupConduitCapacity(500.000000)
QuantumSingularity.SetPowerOutput(6400.000000)
App.g_kModelPropertyManager.RegisterLocalTemplate(QuantumSingularity)
#################################################
ImpulseEngines = App.ImpulseEngineProperty_Create("Impulse Engines")

ImpulseEngines.SetMaxCondition(2400.000000)
ImpulseEngines.SetCritical(0)
ImpulseEngines.SetTargetable(0)
ImpulseEngines.SetPrimary(1)
ImpulseEngines.SetPosition(0.000000, 0.000000, 1.200000)
ImpulseEngines.SetPosition2D(64.000000, 104.000000)
ImpulseEngines.SetRepairComplexity(4.000000)
ImpulseEngines.SetDisabledPercentage(0.500000)
ImpulseEngines.SetRadius(0.500000)
ImpulseEngines.SetNormalPowerPerSecond(1300.000000)
ImpulseEngines.SetMaxAccel(2.080000)
ImpulseEngines.SetMaxAngularAccel(0.085000)
ImpulseEngines.SetMaxAngularVelocity(0.215000)
ImpulseEngines.SetMaxSpeed(7.000000)
ImpulseEngines.SetEngineSound("Romulan Engines")
App.g_kModelPropertyManager.RegisterLocalTemplate(ImpulseEngines)
#################################################
DisruptorCannons = App.WeaponSystemProperty_Create("Disruptor Cannons")

DisruptorCannons.SetMaxCondition(600.000000)
DisruptorCannons.SetCritical(0)
DisruptorCannons.SetTargetable(0)
DisruptorCannons.SetPrimary(1)
DisruptorCannons.SetPosition(0.000000, -1.000000, 1.250000)
DisruptorCannons.SetPosition2D(64.000000, 44.000000)
DisruptorCannons.SetRepairComplexity(1.000000)
DisruptorCannons.SetDisabledPercentage(0.200000)
DisruptorCannons.SetRadius(0.300000)
DisruptorCannons.SetNormalPowerPerSecond(600.000000)
DisruptorCannons.SetWeaponSystemType(DisruptorCannons.WST_PULSE)
DisruptorCannons.SetSingleFire(1)
DisruptorCannons.SetAimedWeapon(0)
kFiringChainString = App.TGString()
kFiringChainString.SetString("")
DisruptorCannons.SetFiringChainString(kFiringChainString)
App.g_kModelPropertyManager.RegisterLocalTemplate(DisruptorCannons)
#################################################
WarpEngines = App.WarpEngineProperty_Create("Warp Engines")

WarpEngines.SetMaxCondition(3200.000000)
WarpEngines.SetCritical(0)
WarpEngines.SetTargetable(0)
WarpEngines.SetPrimary(1)
WarpEngines.SetPosition(0.000000, 0.000000, 1.300000)
WarpEngines.SetPosition2D(64.000000, 104.000000)
WarpEngines.SetRepairComplexity(4.000000)
WarpEngines.SetDisabledPercentage(0.750000)
WarpEngines.SetRadius(0.500000)
WarpEngines.SetNormalPowerPerSecond(500.000000)
App.g_kModelPropertyManager.RegisterLocalTemplate(WarpEngines)
#################################################
Torpedoes = App.TorpedoSystemProperty_Create("Torpedoes")

Torpedoes.SetMaxCondition(2200.000000)
Torpedoes.SetCritical(0)
Torpedoes.SetTargetable(0)
Torpedoes.SetPrimary(1)
Torpedoes.SetPosition(0.000000, 5.880000, -0.150000)
Torpedoes.SetPosition2D(64.000000, 10.000000)
Torpedoes.SetRepairComplexity(3.000000)
Torpedoes.SetDisabledPercentage(0.750000)
Torpedoes.SetRadius(0.090000)
Torpedoes.SetNormalPowerPerSecond(650.000000)
Torpedoes.SetWeaponSystemType(Torpedoes.WST_TORPEDO)
Torpedoes.SetSingleFire(0)
Torpedoes.SetAimedWeapon(1)
kFiringChainString = App.TGString()
kFiringChainString.SetString("0;Single;12;Dual;5;All")
Torpedoes.SetFiringChainString(kFiringChainString)
Torpedoes.SetMaxTorpedoes(0, 300)
Torpedoes.SetTorpedoScript(0, "Tactical.Projectiles.RomulanTorp")
Torpedoes.SetMaxTorpedoes(1, 50)
Torpedoes.SetTorpedoScript(1, "Tactical.Projectiles.CARomulanHeavy")
Torpedoes.SetNumAmmoTypes(2)
App.g_kModelPropertyManager.RegisterLocalTemplate(Torpedoes)
#################################################
CloakingDevice = App.CloakingSubsystemProperty_Create("Cloaking Device")

CloakingDevice.SetMaxCondition(4500.000000)
CloakingDevice.SetCritical(0)
CloakingDevice.SetTargetable(1)
CloakingDevice.SetPrimary(1)
CloakingDevice.SetPosition(0.000000, 2.000000, 1.220000)
CloakingDevice.SetPosition2D(-6.000000, 31.000000)
CloakingDevice.SetRepairComplexity(3.000000)
CloakingDevice.SetDisabledPercentage(0.500000)
CloakingDevice.SetRadius(0.200000)
CloakingDevice.SetNormalPowerPerSecond(700.000000)
CloakingDevice.SetCloakStrength(1000.000000)
App.g_kModelPropertyManager.RegisterLocalTemplate(CloakingDevice)
#################################################
DamageControl = App.RepairSubsystemProperty_Create("Damage Control")

DamageControl.SetMaxCondition(400.000000)
DamageControl.SetCritical(0)
DamageControl.SetTargetable(0)
DamageControl.SetPrimary(1)
DamageControl.SetPosition(0.000000, 0.550000, -0.800000)
DamageControl.SetPosition2D(64.000000, 80.000000)
DamageControl.SetRepairComplexity(4.000000)
DamageControl.SetDisabledPercentage(0.100000)
DamageControl.SetRadius(0.400000)
DamageControl.SetNormalPowerPerSecond(1.000000)
DamageControl.SetMaxRepairPoints(30.000000)
DamageControl.SetNumRepairTeams(6)
App.g_kModelPropertyManager.RegisterLocalTemplate(DamageControl)
#################################################
Warbird = App.ShipProperty_Create("Warbird")

Warbird.SetGenus(1)
Warbird.SetSpecies(301)
Warbird.SetMass(900.000000)
Warbird.SetRotationalInertia(1650.000000)
Warbird.SetShipName("Warbird")
Warbird.SetModelFilename("data/Models/Ships/TUWarbird/DDeridex.nif")
Warbird.SetDamageResolution(10.000000)
Warbird.SetAffiliation(0)
Warbird.SetStationary(0)
Warbird.SetAIString("NonFedAttack")
Warbird.SetDeathExplosionSound("g_lsDeathExplosions")
App.g_kModelPropertyManager.RegisterLocalTemplate(Warbird)
#################################################
ViewscreenForward = App.PositionOrientationProperty_Create("ViewscreenForward")

ViewscreenForwardForward = App.TGPoint3()
ViewscreenForwardForward.SetXYZ(0.000000, 1.000000, 0.000000)
ViewscreenForwardUp = App.TGPoint3()
ViewscreenForwardUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenForwardRight = App.TGPoint3()
ViewscreenForwardRight.SetXYZ(1.000000, 0.000000, 0.000000)
ViewscreenForward.SetOrientation(ViewscreenForwardForward, ViewscreenForwardUp, ViewscreenForwardRight)
ViewscreenForwardPosition = App.TGPoint3()
ViewscreenForwardPosition.SetXYZ(0.000000, 5.250000, 1.200000)
ViewscreenForward.SetPosition(ViewscreenForwardPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenForward)
#################################################
ViewscreenBack = App.PositionOrientationProperty_Create("ViewscreenBack")

ViewscreenBackForward = App.TGPoint3()
ViewscreenBackForward.SetXYZ(0.000000, -1.000000, 0.000000)
ViewscreenBackUp = App.TGPoint3()
ViewscreenBackUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenBackRight = App.TGPoint3()
ViewscreenBackRight.SetXYZ(-1.000000, 0.000000, 0.000000)
ViewscreenBack.SetOrientation(ViewscreenBackForward, ViewscreenBackUp, ViewscreenBackRight)
ViewscreenBackPosition = App.TGPoint3()
ViewscreenBackPosition.SetXYZ(0.000000, -6.400000, -0.150000)
ViewscreenBack.SetPosition(ViewscreenBackPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenBack)
#################################################
ViewscreenLeft = App.PositionOrientationProperty_Create("ViewscreenLeft")

ViewscreenLeftForward = App.TGPoint3()
ViewscreenLeftForward.SetXYZ(-1.000000, 0.000000, 0.000000)
ViewscreenLeftUp = App.TGPoint3()
ViewscreenLeftUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenLeftRight = App.TGPoint3()
ViewscreenLeftRight.SetXYZ(0.000000, 1.000000, 0.000000)
ViewscreenLeft.SetOrientation(ViewscreenLeftForward, ViewscreenLeftUp, ViewscreenLeftRight)
ViewscreenLeftPosition = App.TGPoint3()
ViewscreenLeftPosition.SetXYZ(-5.300000, 0.000000, 0.000000)
ViewscreenLeft.SetPosition(ViewscreenLeftPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenLeft)
#################################################
ViewscreenRight = App.PositionOrientationProperty_Create("ViewscreenRight")

ViewscreenRightForward = App.TGPoint3()
ViewscreenRightForward.SetXYZ(1.000000, 0.000000, 0.000000)
ViewscreenRightUp = App.TGPoint3()
ViewscreenRightUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenRightRight = App.TGPoint3()
ViewscreenRightRight.SetXYZ(0.000000, -1.000000, 0.000000)
ViewscreenRight.SetOrientation(ViewscreenRightForward, ViewscreenRightUp, ViewscreenRightRight)
ViewscreenRightPosition = App.TGPoint3()
ViewscreenRightPosition.SetXYZ(5.300000, 0.000000, 0.000000)
ViewscreenRight.SetPosition(ViewscreenRightPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenRight)
#################################################
ViewscreenUp = App.PositionOrientationProperty_Create("ViewscreenUp")

ViewscreenUpForward = App.TGPoint3()
ViewscreenUpForward.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenUpUp = App.TGPoint3()
ViewscreenUpUp.SetXYZ(0.000000, -1.000000, 0.000000)
ViewscreenUpRight = App.TGPoint3()
ViewscreenUpRight.SetXYZ(1.000000, 0.000000, 0.000000)
ViewscreenUp.SetOrientation(ViewscreenUpForward, ViewscreenUpUp, ViewscreenUpRight)
ViewscreenUpPosition = App.TGPoint3()
ViewscreenUpPosition.SetXYZ(0.000000, 0.000000, 2.000000)
ViewscreenUp.SetPosition(ViewscreenUpPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenUp)
#################################################
ViewscreenDown = App.PositionOrientationProperty_Create("ViewscreenDown")

ViewscreenDownForward = App.TGPoint3()
ViewscreenDownForward.SetXYZ(0.000000, 0.000000, -1.000000)
ViewscreenDownUp = App.TGPoint3()
ViewscreenDownUp.SetXYZ(0.000000, 1.000000, 0.000000)
ViewscreenDownRight = App.TGPoint3()
ViewscreenDownRight.SetXYZ(1.000000, 0.000000, 0.000000)
ViewscreenDown.SetOrientation(ViewscreenDownForward, ViewscreenDownUp, ViewscreenDownRight)
ViewscreenDownPosition = App.TGPoint3()
ViewscreenDownPosition.SetXYZ(0.000000, 0.000000, -1.750000)
ViewscreenDown.SetPosition(ViewscreenDownPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenDown)
#################################################
FirstPersonCamera = App.PositionOrientationProperty_Create("FirstPersonCamera")

FirstPersonCameraForward = App.TGPoint3()
FirstPersonCameraForward.SetXYZ(0.000000, 1.000000, 0.000000)
FirstPersonCameraUp = App.TGPoint3()
FirstPersonCameraUp.SetXYZ(0.000000, 0.000000, 1.000000)
FirstPersonCameraRight = App.TGPoint3()
FirstPersonCameraRight.SetXYZ(1.000000, 0.000000, 0.000000)
FirstPersonCamera.SetOrientation(FirstPersonCameraForward, FirstPersonCameraUp, FirstPersonCameraRight)
FirstPersonCameraPosition = App.TGPoint3()
FirstPersonCameraPosition.SetXYZ(0.000000, 6.500000, 0.100000)
FirstPersonCamera.SetPosition(FirstPersonCameraPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(FirstPersonCamera)
#################################################
Bridge = App.HullProperty_Create("Bridge")

Bridge.SetMaxCondition(8000.000000)
Bridge.SetCritical(0)
Bridge.SetTargetable(1)
Bridge.SetPrimary(0)
Bridge.SetPosition(0.000000, 5.080000, 1.220000)
Bridge.SetPosition2D(-4.000000, 5.000000)
Bridge.SetRepairComplexity(2.000000)
Bridge.SetDisabledPercentage(0.000000)
Bridge.SetRadius(0.050000)
App.g_kModelPropertyManager.RegisterLocalTemplate(Bridge)
#################################################
PortWarp = App.EngineProperty_Create("Port Warp")

PortWarp.SetMaxCondition(6000.000000)
PortWarp.SetCritical(0)
PortWarp.SetTargetable(1)
PortWarp.SetPrimary(1)
PortWarp.SetPosition(-4.400000, 0.400000, 0.165000)
PortWarp.SetPosition2D(20.000000, 63.000000)
PortWarp.SetRepairComplexity(4.000000)
PortWarp.SetDisabledPercentage(0.600000)
PortWarp.SetRadius(1.000000)
PortWarp.SetEngineType(PortWarp.EP_WARP)
App.g_kModelPropertyManager.RegisterLocalTemplate(PortWarp)
#################################################
StarWarp = App.EngineProperty_Create("Star Warp")

StarWarp.SetMaxCondition(6000.000000)
StarWarp.SetCritical(0)
StarWarp.SetTargetable(1)
StarWarp.SetPrimary(1)
StarWarp.SetPosition(4.400000, 0.400000, 0.165000)
StarWarp.SetPosition2D(109.000000, 63.000000)
StarWarp.SetRepairComplexity(4.000000)
StarWarp.SetDisabledPercentage(0.600000)
StarWarp.SetRadius(1.000000)
StarWarp.SetEngineType(StarWarp.EP_WARP)
App.g_kModelPropertyManager.RegisterLocalTemplate(StarWarp)
#################################################
FwdHeavyPulse = App.PulseWeaponProperty_Create("Fwd Heavy Pulse")

FwdHeavyPulse.SetMaxCondition(2750.000000)
FwdHeavyPulse.SetCritical(0)
FwdHeavyPulse.SetTargetable(1)
FwdHeavyPulse.SetPrimary(1)
FwdHeavyPulse.SetPosition(0.000000, 5.939950, -0.281684)
FwdHeavyPulse.SetPosition2D(63.000000, 4.000000)
FwdHeavyPulse.SetRepairComplexity(2.500000)
FwdHeavyPulse.SetDisabledPercentage(0.450000)
FwdHeavyPulse.SetRadius(0.100000)
FwdHeavyPulse.SetDumbfire(1)
FwdHeavyPulse.SetWeaponID(1)
FwdHeavyPulse.SetGroups(0)
FwdHeavyPulse.SetDamageRadiusFactor(0.060000)
FwdHeavyPulse.SetIconNum(365)
FwdHeavyPulse.SetIconPositionX(77.000000)
FwdHeavyPulse.SetIconPositionY(32.000000)
FwdHeavyPulse.SetIconAboveShip(1)
FwdHeavyPulse.SetFireSound("")
FwdHeavyPulse.SetMaxCharge(4.000000)
FwdHeavyPulse.SetMaxDamage(1.000000)
FwdHeavyPulse.SetMaxDamageDistance(150.000000)
FwdHeavyPulse.SetMinFiringCharge(2.000000)
FwdHeavyPulse.SetNormalDischargeRate(1.000000)
FwdHeavyPulse.SetRechargeRate(0.180000)
FwdHeavyPulse.SetIndicatorIconNum(0)
FwdHeavyPulse.SetIndicatorIconPositionX(26.000000)
FwdHeavyPulse.SetIndicatorIconPositionY(68.000000)
FwdHeavyPulseForward = App.TGPoint3()
FwdHeavyPulseForward.SetXYZ(0.000000, 1.000000, 0.000000)
FwdHeavyPulseUp = App.TGPoint3()
FwdHeavyPulseUp.SetXYZ(0.000000, 0.000000, 1.000000)
FwdHeavyPulse.SetOrientation(FwdHeavyPulseForward, FwdHeavyPulseUp)
FwdHeavyPulse.SetArcWidthAngles(-0.610865, 0.610865)
FwdHeavyPulse.SetArcHeightAngles(-0.610865, 0.610865)
FwdHeavyPulse.SetCooldownTime(1.000000)
FwdHeavyPulse.SetModuleName("Tactical.Projectiles.TURomHeavy")
App.g_kModelPropertyManager.RegisterLocalTemplate(FwdHeavyPulse)
#################################################
FwdTractor = App.TractorBeamProperty_Create("Fwd Tractor")

FwdTractor.SetMaxCondition(2000.000000)
FwdTractor.SetCritical(0)
FwdTractor.SetTargetable(1)
FwdTractor.SetPrimary(1)
FwdTractor.SetPosition(0.000000, 6.020000, -1.000000)
FwdTractor.SetPosition2D(132.000000, 4.000000)
FwdTractor.SetRepairComplexity(3.000000)
FwdTractor.SetDisabledPercentage(0.500000)
FwdTractor.SetRadius(0.200000)
FwdTractor.SetDumbfire(0)
FwdTractor.SetWeaponID(0)
FwdTractor.SetGroups(0)
FwdTractor.SetDamageRadiusFactor(0.100000)
FwdTractor.SetIconNum(0)
FwdTractor.SetIconPositionX(0.000000)
FwdTractor.SetIconPositionY(0.000000)
FwdTractor.SetIconAboveShip(1)
FwdTractor.SetFireSound("Tractor Beam")
FwdTractor.SetMaxCharge(3.000000)
FwdTractor.SetMaxDamage(100.000000)
FwdTractor.SetMaxDamageDistance(100.000000)
FwdTractor.SetMinFiringCharge(3.000000)
FwdTractor.SetNormalDischargeRate(1.000000)
FwdTractor.SetRechargeRate(0.300000)
FwdTractor.SetIndicatorIconNum(0)
FwdTractor.SetIndicatorIconPositionX(0.000000)
FwdTractor.SetIndicatorIconPositionY(0.000000)
FwdTractorForward = App.TGPoint3()
FwdTractorForward.SetXYZ(0.000000, 1.000000, 0.000000)
FwdTractorUp = App.TGPoint3()
FwdTractorUp.SetXYZ(0.000000, 0.000000, 1.000000)
FwdTractor.SetOrientation(FwdTractorForward, FwdTractorUp)
FwdTractor.SetArcWidthAngles(-0.349066, 0.349066)
FwdTractor.SetArcHeightAngles(-0.349066, 0.349066)
FwdTractor.SetTractorBeamWidth(0.200000)
FwdTractor.SetTextureStart(0)
FwdTractor.SetTextureEnd(0)
FwdTractor.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
kColor = App.TGColorA()
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
FwdTractor.SetOuterShellColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
FwdTractor.SetInnerShellColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
FwdTractor.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
FwdTractor.SetInnerCoreColor(kColor)
FwdTractor.SetNumSides(12)
FwdTractor.SetMainRadius(0.075000)
FwdTractor.SetTaperRadius(0.000000)
FwdTractor.SetCoreScale(0.450000)
FwdTractor.SetTaperRatio(0.200000)
FwdTractor.SetTaperMinLength(1.000000)
FwdTractor.SetTaperMaxLength(5.000000)
FwdTractor.SetLengthTextureTilePerUnit(0.250000)
FwdTractor.SetPerimeterTile(1.000000)
FwdTractor.SetTextureSpeed(0.200000)
FwdTractor.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(FwdTractor)
#################################################
AftTractor = App.TractorBeamProperty_Create("Aft Tractor")

AftTractor.SetMaxCondition(2000.000000)
AftTractor.SetCritical(0)
AftTractor.SetTargetable(1)
AftTractor.SetPrimary(1)
AftTractor.SetPosition(0.000000, -5.950000, 0.000000)
AftTractor.SetPosition2D(132.000000, 20.000000)
AftTractor.SetRepairComplexity(3.000000)
AftTractor.SetDisabledPercentage(0.500000)
AftTractor.SetRadius(0.200000)
AftTractor.SetDumbfire(0)
AftTractor.SetWeaponID(0)
AftTractor.SetGroups(0)
AftTractor.SetDamageRadiusFactor(0.100000)
AftTractor.SetIconNum(0)
AftTractor.SetIconPositionX(0.000000)
AftTractor.SetIconPositionY(0.000000)
AftTractor.SetIconAboveShip(1)
AftTractor.SetFireSound("Tractor Beam")
AftTractor.SetMaxCharge(3.000000)
AftTractor.SetMaxDamage(100.000000)
AftTractor.SetMaxDamageDistance(100.000000)
AftTractor.SetMinFiringCharge(3.000000)
AftTractor.SetNormalDischargeRate(1.000000)
AftTractor.SetRechargeRate(0.300000)
AftTractor.SetIndicatorIconNum(0)
AftTractor.SetIndicatorIconPositionX(0.000000)
AftTractor.SetIndicatorIconPositionY(0.000000)
AftTractorForward = App.TGPoint3()
AftTractorForward.SetXYZ(0.000000, -1.000000, 0.000000)
AftTractorUp = App.TGPoint3()
AftTractorUp.SetXYZ(0.000000, 0.000000, 1.000000)
AftTractor.SetOrientation(AftTractorForward, AftTractorUp)
AftTractor.SetArcWidthAngles(-0.349066, 0.349066)
AftTractor.SetArcHeightAngles(-0.349066, 0.349066)
AftTractor.SetTractorBeamWidth(0.200000)
AftTractor.SetTextureStart(0)
AftTractor.SetTextureEnd(0)
AftTractor.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
kColor = App.TGColorA()
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
AftTractor.SetOuterShellColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
AftTractor.SetInnerShellColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
AftTractor.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
AftTractor.SetInnerCoreColor(kColor)
AftTractor.SetNumSides(12)
AftTractor.SetMainRadius(0.075000)
AftTractor.SetTaperRadius(0.000000)
AftTractor.SetCoreScale(0.450000)
AftTractor.SetTaperRatio(0.200000)
AftTractor.SetTaperMinLength(1.000000)
AftTractor.SetTaperMaxLength(5.000000)
AftTractor.SetLengthTextureTilePerUnit(0.250000)
AftTractor.SetPerimeterTile(1.000000)
AftTractor.SetTextureSpeed(0.200000)
AftTractor.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(AftTractor)
#################################################
VentralTractor = App.TractorBeamProperty_Create("Ventral Tractor")

VentralTractor.SetMaxCondition(2000.000000)
VentralTractor.SetCritical(0)
VentralTractor.SetTargetable(1)
VentralTractor.SetPrimary(1)
VentralTractor.SetPosition(0.000000, 2.600000, -0.450000)
VentralTractor.SetPosition2D(132.000000, 37.000000)
VentralTractor.SetRepairComplexity(3.000000)
VentralTractor.SetDisabledPercentage(0.500000)
VentralTractor.SetRadius(0.200000)
VentralTractor.SetDumbfire(0)
VentralTractor.SetWeaponID(0)
VentralTractor.SetGroups(0)
VentralTractor.SetDamageRadiusFactor(0.100000)
VentralTractor.SetIconNum(0)
VentralTractor.SetIconPositionX(0.000000)
VentralTractor.SetIconPositionY(0.000000)
VentralTractor.SetIconAboveShip(1)
VentralTractor.SetFireSound("Tractor Beam")
VentralTractor.SetMaxCharge(3.000000)
VentralTractor.SetMaxDamage(100.000000)
VentralTractor.SetMaxDamageDistance(100.000000)
VentralTractor.SetMinFiringCharge(3.000000)
VentralTractor.SetNormalDischargeRate(1.000000)
VentralTractor.SetRechargeRate(0.300000)
VentralTractor.SetIndicatorIconNum(0)
VentralTractor.SetIndicatorIconPositionX(0.000000)
VentralTractor.SetIndicatorIconPositionY(0.000000)
VentralTractorForward = App.TGPoint3()
VentralTractorForward.SetXYZ(0.000000, 0.447214, -0.894427)
VentralTractorUp = App.TGPoint3()
VentralTractorUp.SetXYZ(0.000000, 1.000000, 0.000000)
VentralTractor.SetOrientation(VentralTractorForward, VentralTractorUp)
VentralTractor.SetArcWidthAngles(-0.349066, 0.349066)
VentralTractor.SetArcHeightAngles(-0.349066, 0.349066)
VentralTractor.SetTractorBeamWidth(0.200000)
VentralTractor.SetTextureStart(0)
VentralTractor.SetTextureEnd(0)
VentralTractor.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
kColor = App.TGColorA()
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
VentralTractor.SetOuterShellColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
VentralTractor.SetInnerShellColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
VentralTractor.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
VentralTractor.SetInnerCoreColor(kColor)
VentralTractor.SetNumSides(12)
VentralTractor.SetMainRadius(0.075000)
VentralTractor.SetTaperRadius(0.000000)
VentralTractor.SetCoreScale(0.450000)
VentralTractor.SetTaperRatio(0.200000)
VentralTractor.SetTaperMinLength(1.000000)
VentralTractor.SetTaperMaxLength(5.000000)
VentralTractor.SetLengthTextureTilePerUnit(0.250000)
VentralTractor.SetPerimeterTile(1.000000)
VentralTractor.SetTextureSpeed(0.200000)
VentralTractor.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(VentralTractor)
#################################################
TractorBeam = App.WeaponSystemProperty_Create("Tractor Beam")

TractorBeam.SetMaxCondition(2000.000000)
TractorBeam.SetCritical(0)
TractorBeam.SetTargetable(0)
TractorBeam.SetPrimary(1)
TractorBeam.SetPosition(0.000000, 0.000000, -1.100000)
TractorBeam.SetPosition2D(0.000000, 0.000000)
TractorBeam.SetRepairComplexity(3.000000)
TractorBeam.SetDisabledPercentage(0.500000)
TractorBeam.SetRadius(0.500000)
TractorBeam.SetNormalPowerPerSecond(250.000000)
TractorBeam.SetWeaponSystemType(TractorBeam.WST_TRACTOR)
TractorBeam.SetSingleFire(1)
TractorBeam.SetAimedWeapon(0)
kFiringChainString = App.TGString()
kFiringChainString.SetString("")
TractorBeam.SetFiringChainString(kFiringChainString)
App.g_kModelPropertyManager.RegisterLocalTemplate(TractorBeam)
#################################################
ShuttleBayOEP = App.ObjectEmitterProperty_Create("Shuttle Bay OEP")

ShuttleBayOEPForward = App.TGPoint3()
ShuttleBayOEPForward.SetXYZ(0.000000, -1.000000, 0.000000)
ShuttleBayOEPUp = App.TGPoint3()
ShuttleBayOEPUp.SetXYZ(0.000000, 0.000000, 1.000000)
ShuttleBayOEPRight = App.TGPoint3()
ShuttleBayOEPRight.SetXYZ(1.000000, 0.000000, 0.000000)
ShuttleBayOEP.SetOrientation(ShuttleBayOEPForward, ShuttleBayOEPUp, ShuttleBayOEPRight)
ShuttleBayOEPPosition = App.TGPoint3()
ShuttleBayOEPPosition.SetXYZ(0.000000, -4.750810, 0.701278)
ShuttleBayOEP.SetPosition(ShuttleBayOEPPosition)
ShuttleBayOEP.SetEmittedObjectType(ShuttleBayOEP.OEP_SHUTTLE)
App.g_kModelPropertyManager.RegisterLocalTemplate(ShuttleBayOEP)
#################################################
ShuttleBay = App.HullProperty_Create("Shuttle Bay")

ShuttleBay.SetMaxCondition(4000.000000)
ShuttleBay.SetCritical(0)
ShuttleBay.SetTargetable(1)
ShuttleBay.SetPrimary(0)
ShuttleBay.SetPosition(0.000000, -4.750810, 0.701278)
ShuttleBay.SetPosition2D(118.000000, 116.000000)
ShuttleBay.SetRepairComplexity(5.000000)
ShuttleBay.SetDisabledPercentage(0.200000)
ShuttleBay.SetRadius(0.125000)
App.g_kModelPropertyManager.RegisterLocalTemplate(ShuttleBay)
#################################################
FwdTorpedo2 = App.TorpedoTubeProperty_Create("Fwd Torpedo 2")

FwdTorpedo2.SetMaxCondition(2500.000000)
FwdTorpedo2.SetCritical(0)
FwdTorpedo2.SetTargetable(1)
FwdTorpedo2.SetPrimary(1)
FwdTorpedo2.SetPosition(-0.164399, 5.890000, -0.214633)
FwdTorpedo2.SetPosition2D(76.000000, 2.000000)
FwdTorpedo2.SetRepairComplexity(2.000000)
FwdTorpedo2.SetDisabledPercentage(0.450000)
FwdTorpedo2.SetRadius(0.100000)
FwdTorpedo2.SetDumbfire(1)
FwdTorpedo2.SetWeaponID(1)
FwdTorpedo2.SetGroups(1)
FwdTorpedo2.SetDamageRadiusFactor(0.060000)
FwdTorpedo2.SetIconNum(370)
FwdTorpedo2.SetIconPositionX(80.000000)
FwdTorpedo2.SetIconPositionY(40.000000)
FwdTorpedo2.SetIconAboveShip(1)
FwdTorpedo2.SetImmediateDelay(1.000000)
FwdTorpedo2.SetReloadDelay(22.500000)
FwdTorpedo2.SetMaxReady(2)
FwdTorpedo2Direction = App.TGPoint3()
FwdTorpedo2Direction.SetXYZ(0.000000, 1.000000, 0.000000)
FwdTorpedo2.SetDirection(FwdTorpedo2Direction)
FwdTorpedo2Right = App.TGPoint3()
FwdTorpedo2Right.SetXYZ(0.000000, 0.000000, 1.000000)
FwdTorpedo2.SetRight(FwdTorpedo2Right)
App.g_kModelPropertyManager.RegisterLocalTemplate(FwdTorpedo2)
#################################################
DorsalPulse1 = App.PulseWeaponProperty_Create("Dorsal Pulse 1")

DorsalPulse1.SetMaxCondition(2500.000000)
DorsalPulse1.SetCritical(0)
DorsalPulse1.SetTargetable(1)
DorsalPulse1.SetPrimary(1)
DorsalPulse1.SetPosition(1.407620, -3.484720, 0.888516)
DorsalPulse1.SetPosition2D(49.000000, 89.000000)
DorsalPulse1.SetRepairComplexity(2.000000)
DorsalPulse1.SetDisabledPercentage(0.450000)
DorsalPulse1.SetRadius(0.100000)
DorsalPulse1.SetDumbfire(1)
DorsalPulse1.SetWeaponID(1)
DorsalPulse1.SetGroups(0)
DorsalPulse1.SetDamageRadiusFactor(0.060000)
DorsalPulse1.SetIconNum(365)
DorsalPulse1.SetIconPositionX(55.000000)
DorsalPulse1.SetIconPositionY(99.000000)
DorsalPulse1.SetIconAboveShip(1)
DorsalPulse1.SetFireSound("")
DorsalPulse1.SetMaxCharge(6.000000)
DorsalPulse1.SetMaxDamage(1.000000)
DorsalPulse1.SetMaxDamageDistance(150.000000)
DorsalPulse1.SetMinFiringCharge(2.000000)
DorsalPulse1.SetNormalDischargeRate(1.000000)
DorsalPulse1.SetRechargeRate(0.250000)
DorsalPulse1.SetIndicatorIconNum(0)
DorsalPulse1.SetIndicatorIconPositionX(26.000000)
DorsalPulse1.SetIndicatorIconPositionY(68.000000)
DorsalPulse1Forward = App.TGPoint3()
DorsalPulse1Forward.SetXYZ(0.000000, 0.000000, 1.000000)
DorsalPulse1Up = App.TGPoint3()
DorsalPulse1Up.SetXYZ(0.000000, 1.000000, 0.000000)
DorsalPulse1.SetOrientation(DorsalPulse1Forward, DorsalPulse1Up)
DorsalPulse1.SetArcWidthAngles(-0.436332, 0.785398)
DorsalPulse1.SetArcHeightAngles(-1.047198, 0.261799)
DorsalPulse1.SetCooldownTime(0.500000)
DorsalPulse1.SetModuleName("Tactical.Projectiles.RomulanCannon")
App.g_kModelPropertyManager.RegisterLocalTemplate(DorsalPulse1)
#################################################
DorsalPulse2 = App.PulseWeaponProperty_Create("Dorsal Pulse 2")

DorsalPulse2.SetMaxCondition(2500.000000)
DorsalPulse2.SetCritical(0)
DorsalPulse2.SetTargetable(1)
DorsalPulse2.SetPrimary(1)
DorsalPulse2.SetPosition(-1.407620, -3.484720, 0.888516)
DorsalPulse2.SetPosition2D(77.000000, 92.000000)
DorsalPulse2.SetRepairComplexity(2.000000)
DorsalPulse2.SetDisabledPercentage(0.450000)
DorsalPulse2.SetRadius(0.100000)
DorsalPulse2.SetDumbfire(1)
DorsalPulse2.SetWeaponID(1)
DorsalPulse2.SetGroups(0)
DorsalPulse2.SetDamageRadiusFactor(0.060000)
DorsalPulse2.SetIconNum(365)
DorsalPulse2.SetIconPositionX(95.000000)
DorsalPulse2.SetIconPositionY(100.000000)
DorsalPulse2.SetIconAboveShip(1)
DorsalPulse2.SetFireSound("")
DorsalPulse2.SetMaxCharge(6.000000)
DorsalPulse2.SetMaxDamage(1.000000)
DorsalPulse2.SetMaxDamageDistance(150.000000)
DorsalPulse2.SetMinFiringCharge(2.000000)
DorsalPulse2.SetNormalDischargeRate(1.000000)
DorsalPulse2.SetRechargeRate(0.250000)
DorsalPulse2.SetIndicatorIconNum(0)
DorsalPulse2.SetIndicatorIconPositionX(26.000000)
DorsalPulse2.SetIndicatorIconPositionY(68.000000)
DorsalPulse2Forward = App.TGPoint3()
DorsalPulse2Forward.SetXYZ(0.000000, 0.000000, 1.000000)
DorsalPulse2Up = App.TGPoint3()
DorsalPulse2Up.SetXYZ(0.000000, 1.000000, 0.000000)
DorsalPulse2.SetOrientation(DorsalPulse2Forward, DorsalPulse2Up)
DorsalPulse2.SetArcWidthAngles(-0.785398, 0.436332)
DorsalPulse2.SetArcHeightAngles(-1.047198, 0.261799)
DorsalPulse2.SetCooldownTime(0.500000)
DorsalPulse2.SetModuleName("Tactical.Projectiles.RomulanCannon")
App.g_kModelPropertyManager.RegisterLocalTemplate(DorsalPulse2)
#################################################
VentralPulse1 = App.PulseWeaponProperty_Create("Ventral Pulse 1")

VentralPulse1.SetMaxCondition(2500.000000)
VentralPulse1.SetCritical(0)
VentralPulse1.SetTargetable(1)
VentralPulse1.SetPrimary(1)
VentralPulse1.SetPosition(0.664684, -3.857580, -1.238160)
VentralPulse1.SetPosition2D(56.000000, 95.000000)
VentralPulse1.SetRepairComplexity(2.000000)
VentralPulse1.SetDisabledPercentage(0.450000)
VentralPulse1.SetRadius(0.100000)
VentralPulse1.SetDumbfire(1)
VentralPulse1.SetWeaponID(1)
VentralPulse1.SetGroups(0)
VentralPulse1.SetDamageRadiusFactor(0.060000)
VentralPulse1.SetIconNum(366)
VentralPulse1.SetIconPositionX(65.000000)
VentralPulse1.SetIconPositionY(113.000000)
VentralPulse1.SetIconAboveShip(1)
VentralPulse1.SetFireSound("")
VentralPulse1.SetMaxCharge(6.000000)
VentralPulse1.SetMaxDamage(1.000000)
VentralPulse1.SetMaxDamageDistance(150.000000)
VentralPulse1.SetMinFiringCharge(2.000000)
VentralPulse1.SetNormalDischargeRate(1.000000)
VentralPulse1.SetRechargeRate(0.250000)
VentralPulse1.SetIndicatorIconNum(0)
VentralPulse1.SetIndicatorIconPositionX(26.000000)
VentralPulse1.SetIndicatorIconPositionY(68.000000)
VentralPulse1Forward = App.TGPoint3()
VentralPulse1Forward.SetXYZ(0.000000, 0.000000, -1.000000)
VentralPulse1Up = App.TGPoint3()
VentralPulse1Up.SetXYZ(0.000000, 1.000000, 0.000000)
VentralPulse1.SetOrientation(VentralPulse1Forward, VentralPulse1Up)
VentralPulse1.SetArcWidthAngles(-1.047198, 0.261799)
VentralPulse1.SetArcHeightAngles(-1.308997, 0.610865)
VentralPulse1.SetCooldownTime(0.500000)
VentralPulse1.SetModuleName("Tactical.Projectiles.RomulanCannon")
App.g_kModelPropertyManager.RegisterLocalTemplate(VentralPulse1)
#################################################
VentralPulse2 = App.PulseWeaponProperty_Create("Ventral Pulse 2")

VentralPulse2.SetMaxCondition(2500.000000)
VentralPulse2.SetCritical(0)
VentralPulse2.SetTargetable(1)
VentralPulse2.SetPrimary(1)
VentralPulse2.SetPosition(-0.664684, -3.857580, -1.238160)
VentralPulse2.SetPosition2D(67.000000, 95.000000)
VentralPulse2.SetRepairComplexity(2.000000)
VentralPulse2.SetDisabledPercentage(0.450000)
VentralPulse2.SetRadius(0.100000)
VentralPulse2.SetDumbfire(1)
VentralPulse2.SetWeaponID(1)
VentralPulse2.SetGroups(0)
VentralPulse2.SetDamageRadiusFactor(0.060000)
VentralPulse2.SetIconNum(366)
VentralPulse2.SetIconPositionX(88.000000)
VentralPulse2.SetIconPositionY(113.000000)
VentralPulse2.SetIconAboveShip(1)
VentralPulse2.SetFireSound("")
VentralPulse2.SetMaxCharge(6.000000)
VentralPulse2.SetMaxDamage(1.000000)
VentralPulse2.SetMaxDamageDistance(150.000000)
VentralPulse2.SetMinFiringCharge(2.000000)
VentralPulse2.SetNormalDischargeRate(1.000000)
VentralPulse2.SetRechargeRate(0.250000)
VentralPulse2.SetIndicatorIconNum(0)
VentralPulse2.SetIndicatorIconPositionX(26.000000)
VentralPulse2.SetIndicatorIconPositionY(68.000000)
VentralPulse2Forward = App.TGPoint3()
VentralPulse2Forward.SetXYZ(0.000000, 0.000000, -1.000000)
VentralPulse2Up = App.TGPoint3()
VentralPulse2Up.SetXYZ(0.000000, 1.000000, 0.000000)
VentralPulse2.SetOrientation(VentralPulse2Forward, VentralPulse2Up)
VentralPulse2.SetArcWidthAngles(-0.261799, 1.047198)
VentralPulse2.SetArcHeightAngles(-1.308997, 0.610865)
VentralPulse2.SetCooldownTime(0.500000)
VentralPulse2.SetModuleName("Tactical.Projectiles.RomulanCannon")
App.g_kModelPropertyManager.RegisterLocalTemplate(VentralPulse2)
#################################################
MainImpulse = App.EngineProperty_Create("Main Impulse")

MainImpulse.SetMaxCondition(5000.000000)
MainImpulse.SetCritical(0)
MainImpulse.SetTargetable(1)
MainImpulse.SetPrimary(1)
MainImpulse.SetPosition(0.000000, -6.126760, -0.128225)
MainImpulse.SetPosition2D(64.000000, 107.000000)
MainImpulse.SetRepairComplexity(3.000000)
MainImpulse.SetDisabledPercentage(0.500000)
MainImpulse.SetRadius(0.150000)
MainImpulse.SetEngineType(MainImpulse.EP_IMPULSE)
App.g_kModelPropertyManager.RegisterLocalTemplate(MainImpulse)
#################################################
PortFwdImpulse = App.EngineProperty_Create("Port Fwd Impulse ")

PortFwdImpulse.SetMaxCondition(2000.000000)
PortFwdImpulse.SetCritical(0)
PortFwdImpulse.SetTargetable(1)
PortFwdImpulse.SetPrimary(1)
PortFwdImpulse.SetPosition(-0.167289, 3.017340, 0.892979)
PortFwdImpulse.SetPosition2D(36.000000, 107.000000)
PortFwdImpulse.SetRepairComplexity(2.500000)
PortFwdImpulse.SetDisabledPercentage(0.500000)
PortFwdImpulse.SetRadius(0.060000)
PortFwdImpulse.SetEngineType(PortFwdImpulse.EP_IMPULSE)
App.g_kModelPropertyManager.RegisterLocalTemplate(PortFwdImpulse)
#################################################
StarFwdImpulse = App.EngineProperty_Create("Star Fwd Impulse")

StarFwdImpulse.SetMaxCondition(2000.000000)
StarFwdImpulse.SetCritical(0)
StarFwdImpulse.SetTargetable(1)
StarFwdImpulse.SetPrimary(1)
StarFwdImpulse.SetPosition(0.167289, 3.017340, 0.892979)
StarFwdImpulse.SetPosition2D(92.000000, 107.000000)
StarFwdImpulse.SetRepairComplexity(2.500000)
StarFwdImpulse.SetDisabledPercentage(0.500000)
StarFwdImpulse.SetRadius(0.060000)
StarFwdImpulse.SetEngineType(StarFwdImpulse.EP_IMPULSE)
App.g_kModelPropertyManager.RegisterLocalTemplate(StarFwdImpulse)
#################################################
AftTorpedo = App.TorpedoTubeProperty_Create("Aft Torpedo")

AftTorpedo.SetMaxCondition(2500.000000)
AftTorpedo.SetCritical(0)
AftTorpedo.SetTargetable(1)
AftTorpedo.SetPrimary(1)
AftTorpedo.SetPosition(0.000000, -5.192840, 0.523399)
AftTorpedo.SetPosition2D(67.000000, 122.000000)
AftTorpedo.SetRepairComplexity(2.000000)
AftTorpedo.SetDisabledPercentage(0.450000)
AftTorpedo.SetRadius(0.100000)
AftTorpedo.SetDumbfire(1)
AftTorpedo.SetWeaponID(1)
AftTorpedo.SetGroups(1)
AftTorpedo.SetDamageRadiusFactor(0.060000)
AftTorpedo.SetIconNum(370)
AftTorpedo.SetIconPositionX(76.000000)
AftTorpedo.SetIconPositionY(126.000000)
AftTorpedo.SetIconAboveShip(1)
AftTorpedo.SetImmediateDelay(1.000000)
AftTorpedo.SetReloadDelay(22.500000)
AftTorpedo.SetMaxReady(2)
AftTorpedoDirection = App.TGPoint3()
AftTorpedoDirection.SetXYZ(0.000000, -1.000000, 0.000000)
AftTorpedo.SetDirection(AftTorpedoDirection)
AftTorpedoRight = App.TGPoint3()
AftTorpedoRight.SetXYZ(0.000000, 0.000000, 1.000000)
AftTorpedo.SetRight(AftTorpedoRight)
App.g_kModelPropertyManager.RegisterLocalTemplate(AftTorpedo)
#################################################
PortPulse = App.PulseWeaponProperty_Create("Port Pulse")

PortPulse.SetMaxCondition(2500.000000)
PortPulse.SetCritical(0)
PortPulse.SetTargetable(1)
PortPulse.SetPrimary(1)
PortPulse.SetPosition(0.669621, 4.341370, 0.749618)
PortPulse.SetPosition2D(49.000000, 26.000000)
PortPulse.SetRepairComplexity(2.000000)
PortPulse.SetDisabledPercentage(0.450000)
PortPulse.SetRadius(0.100000)
PortPulse.SetDumbfire(1)
PortPulse.SetWeaponID(1)
PortPulse.SetGroups(0)
PortPulse.SetDamageRadiusFactor(0.060000)
PortPulse.SetIconNum(365)
PortPulse.SetIconPositionX(54.000000)
PortPulse.SetIconPositionY(41.000000)
PortPulse.SetIconAboveShip(1)
PortPulse.SetFireSound("")
PortPulse.SetMaxCharge(6.000000)
PortPulse.SetMaxDamage(1.000000)
PortPulse.SetMaxDamageDistance(150.000000)
PortPulse.SetMinFiringCharge(2.000000)
PortPulse.SetNormalDischargeRate(1.000000)
PortPulse.SetRechargeRate(0.250000)
PortPulse.SetIndicatorIconNum(0)
PortPulse.SetIndicatorIconPositionX(26.000000)
PortPulse.SetIndicatorIconPositionY(68.000000)
PortPulseForward = App.TGPoint3()
PortPulseForward.SetXYZ(1.000000, 0.000000, 0.000000)
PortPulseUp = App.TGPoint3()
PortPulseUp.SetXYZ(0.000000, 0.000000, 1.000000)
PortPulse.SetOrientation(PortPulseForward, PortPulseUp)
PortPulse.SetArcWidthAngles(-0.261799, 0.785398)
PortPulse.SetArcHeightAngles(-0.698132, 0.698132)
PortPulse.SetCooldownTime(0.500000)
PortPulse.SetModuleName("Tactical.Projectiles.RomulanCannon")
App.g_kModelPropertyManager.RegisterLocalTemplate(PortPulse)
#################################################
StarPulse = App.PulseWeaponProperty_Create("Star Pulse")

StarPulse.SetMaxCondition(2500.000000)
StarPulse.SetCritical(0)
StarPulse.SetTargetable(1)
StarPulse.SetPrimary(1)
StarPulse.SetPosition(-0.669621, 4.341370, 0.749618)
StarPulse.SetPosition2D(76.000000, 26.000000)
StarPulse.SetRepairComplexity(2.000000)
StarPulse.SetDisabledPercentage(0.450000)
StarPulse.SetRadius(0.100000)
StarPulse.SetDumbfire(1)
StarPulse.SetWeaponID(1)
StarPulse.SetGroups(0)
StarPulse.SetDamageRadiusFactor(0.060000)
StarPulse.SetIconNum(365)
StarPulse.SetIconPositionX(101.000000)
StarPulse.SetIconPositionY(41.000000)
StarPulse.SetIconAboveShip(1)
StarPulse.SetFireSound("")
StarPulse.SetMaxCharge(6.000000)
StarPulse.SetMaxDamage(1.000000)
StarPulse.SetMaxDamageDistance(150.000000)
StarPulse.SetMinFiringCharge(2.000000)
StarPulse.SetNormalDischargeRate(1.000000)
StarPulse.SetRechargeRate(0.250000)
StarPulse.SetIndicatorIconNum(0)
StarPulse.SetIndicatorIconPositionX(26.000000)
StarPulse.SetIndicatorIconPositionY(68.000000)
StarPulseForward = App.TGPoint3()
StarPulseForward.SetXYZ(-1.000000, 0.000000, 0.000000)
StarPulseUp = App.TGPoint3()
StarPulseUp.SetXYZ(0.000000, 0.000000, 1.000000)
StarPulse.SetOrientation(StarPulseForward, StarPulseUp)
StarPulse.SetArcWidthAngles(-0.785398, 0.261799)
StarPulse.SetArcHeightAngles(-0.698132, 0.698132)
StarPulse.SetCooldownTime(0.500000)
StarPulse.SetModuleName("Tactical.Projectiles.RomulanCannon")
App.g_kModelPropertyManager.RegisterLocalTemplate(StarPulse)
#################################################
DisruptorBeams = App.WeaponSystemProperty_Create("Disruptor Beams")

DisruptorBeams.SetMaxCondition(2000.000000)
DisruptorBeams.SetCritical(0)
DisruptorBeams.SetTargetable(0)
DisruptorBeams.SetPrimary(1)
DisruptorBeams.SetPosition(0.000000, 5.939130, -0.279284)
DisruptorBeams.SetPosition2D(0.000000, 0.000000)
DisruptorBeams.SetRepairComplexity(3.000000)
DisruptorBeams.SetDisabledPercentage(0.500000)
DisruptorBeams.SetRadius(0.150000)
DisruptorBeams.SetNormalPowerPerSecond(650.000000)
DisruptorBeams.SetWeaponSystemType(DisruptorBeams.WST_PHASER)
DisruptorBeams.SetSingleFire(1)
DisruptorBeams.SetAimedWeapon(0)
kFiringChainString = App.TGString()
kFiringChainString.SetString("")
DisruptorBeams.SetFiringChainString(kFiringChainString)
App.g_kModelPropertyManager.RegisterLocalTemplate(DisruptorBeams)
#################################################
PortForeBeam = App.PhaserProperty_Create("Port Fore Beam")

PortForeBeam.SetMaxCondition(4000.000000)
PortForeBeam.SetCritical(0)
PortForeBeam.SetTargetable(1)
PortForeBeam.SetPrimary(1)
PortForeBeam.SetPosition(0.000000, 1.281680, 1.136530)
PortForeBeam.SetPosition2D(37.000000, 14.000000)
PortForeBeam.SetRepairComplexity(2.000000)
PortForeBeam.SetDisabledPercentage(0.400000)
PortForeBeam.SetRadius(0.080000)
PortForeBeam.SetDumbfire(0)
PortForeBeam.SetWeaponID(0)
PortForeBeam.SetGroups(0)
PortForeBeam.SetDamageRadiusFactor(0.100000)
PortForeBeam.SetIconNum(330)
PortForeBeam.SetIconPositionX(7.000000)
PortForeBeam.SetIconPositionY(22.000000)
PortForeBeam.SetIconAboveShip(1)
PortForeBeam.SetFireSound("Warbird Phaser")
PortForeBeam.SetMaxCharge(2.250000)
PortForeBeam.SetMaxDamage(2000.000000)
PortForeBeam.SetMaxDamageDistance(100.000000)
PortForeBeam.SetMinFiringCharge(0.600000)
PortForeBeam.SetNormalDischargeRate(1.000000)
PortForeBeam.SetRechargeRate(0.360000)
PortForeBeam.SetIndicatorIconNum(505)
PortForeBeam.SetIndicatorIconPositionX(14.000000)
PortForeBeam.SetIndicatorIconPositionY(19.000000)
PortForeBeamForward = App.TGPoint3()
PortForeBeamForward.SetXYZ(-0.707107, 0.707107, 0.000000)
PortForeBeamUp = App.TGPoint3()
PortForeBeamUp.SetXYZ(0.000000, 0.000000, 1.000000)
PortForeBeam.SetOrientation(PortForeBeamForward, PortForeBeamUp)
PortForeBeam.SetWidth(0.040000)
PortForeBeam.SetLength(0.010000)
PortForeBeam.SetArcWidthAngles(0.436332, -0.436332)
PortForeBeam.SetArcHeightAngles(-0.087266, -0.785398)
PortForeBeam.SetPhaserTextureStart(0)
PortForeBeam.SetPhaserTextureEnd(0)
PortForeBeam.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 0.839216, 0.000000, 1.000000)
PortForeBeam.SetOuterShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 0.501961, 1.000000)
PortForeBeam.SetInnerShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 0.501961, 1.000000)
PortForeBeam.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 0.839216, 0.000000, 1.000000)
PortForeBeam.SetInnerCoreColor(kColor)
PortForeBeam.SetNumSides(12)
PortForeBeam.SetMainRadius(0.080000)
PortForeBeam.SetTaperRadius(0.050000)
PortForeBeam.SetCoreScale(0.400000)
PortForeBeam.SetTaperRatio(0.100000)
PortForeBeam.SetTaperMinLength(30.000000)
PortForeBeam.SetTaperMaxLength(30.000000)
PortForeBeam.SetLengthTextureTilePerUnit(0.100000)
PortForeBeam.SetPerimeterTile(1.000000)
PortForeBeam.SetTextureSpeed(2.000000)
PortForeBeam.SetTextureName("data/phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(PortForeBeam)
#################################################
ForwardBeam = App.PhaserProperty_Create("Forward Beam")

ForwardBeam.SetMaxCondition(4000.000000)
ForwardBeam.SetCritical(0)
ForwardBeam.SetTargetable(1)
ForwardBeam.SetPrimary(1)
ForwardBeam.SetPosition(0.004840, 5.940360, -0.283171)
ForwardBeam.SetPosition2D(64.000000, 15.000000)
ForwardBeam.SetRepairComplexity(2.000000)
ForwardBeam.SetDisabledPercentage(0.400000)
ForwardBeam.SetRadius(0.080000)
ForwardBeam.SetDumbfire(0)
ForwardBeam.SetWeaponID(0)
ForwardBeam.SetGroups(0)
ForwardBeam.SetDamageRadiusFactor(0.100000)
ForwardBeam.SetIconNum(364)
ForwardBeam.SetIconPositionX(64.000000)
ForwardBeam.SetIconPositionY(21.000000)
ForwardBeam.SetIconAboveShip(1)
ForwardBeam.SetFireSound("Warbird Phaser")
ForwardBeam.SetMaxCharge(2.250000)
ForwardBeam.SetMaxDamage(2000.000000)
ForwardBeam.SetMaxDamageDistance(100.000000)
ForwardBeam.SetMinFiringCharge(0.600000)
ForwardBeam.SetNormalDischargeRate(1.000000)
ForwardBeam.SetRechargeRate(0.360000)
ForwardBeam.SetIndicatorIconNum(510)
ForwardBeam.SetIndicatorIconPositionX(60.000000)
ForwardBeam.SetIndicatorIconPositionY(17.000000)
ForwardBeamForward = App.TGPoint3()
ForwardBeamForward.SetXYZ(0.000000, 1.000000, 0.000000)
ForwardBeamUp = App.TGPoint3()
ForwardBeamUp.SetXYZ(0.000000, 0.000000, 1.000000)
ForwardBeam.SetOrientation(ForwardBeamForward, ForwardBeamUp)
ForwardBeam.SetWidth(0.040000)
ForwardBeam.SetLength(0.010000)
ForwardBeam.SetArcWidthAngles(0.610865, -0.610865)
ForwardBeam.SetArcHeightAngles(0.610865, -0.610865)
ForwardBeam.SetPhaserTextureStart(0)
ForwardBeam.SetPhaserTextureEnd(0)
ForwardBeam.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 0.839216, 0.000000, 1.000000)
ForwardBeam.SetOuterShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 0.501961, 1.000000)
ForwardBeam.SetInnerShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 0.501961, 1.000000)
ForwardBeam.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 0.839216, 0.000000, 1.000000)
ForwardBeam.SetInnerCoreColor(kColor)
ForwardBeam.SetNumSides(12)
ForwardBeam.SetMainRadius(0.080000)
ForwardBeam.SetTaperRadius(0.050000)
ForwardBeam.SetCoreScale(0.400000)
ForwardBeam.SetTaperRatio(0.100000)
ForwardBeam.SetTaperMinLength(30.000000)
ForwardBeam.SetTaperMaxLength(30.000000)
ForwardBeam.SetLengthTextureTilePerUnit(0.100000)
ForwardBeam.SetPerimeterTile(1.000000)
ForwardBeam.SetTextureSpeed(2.000000)
ForwardBeam.SetTextureName("data/phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(ForwardBeam)
#################################################
StarForeBeam = App.PhaserProperty_Create("Star Fore Beam")

StarForeBeam.SetMaxCondition(4000.000000)
StarForeBeam.SetCritical(0)
StarForeBeam.SetTargetable(1)
StarForeBeam.SetPrimary(1)
StarForeBeam.SetPosition(0.000000, 1.281680, 1.136530)
StarForeBeam.SetPosition2D(91.000000, 16.000000)
StarForeBeam.SetRepairComplexity(2.000000)
StarForeBeam.SetDisabledPercentage(0.400000)
StarForeBeam.SetRadius(0.080000)
StarForeBeam.SetDumbfire(0)
StarForeBeam.SetWeaponID(0)
StarForeBeam.SetGroups(0)
StarForeBeam.SetDamageRadiusFactor(0.100000)
StarForeBeam.SetIconNum(350)
StarForeBeam.SetIconPositionX(99.000000)
StarForeBeam.SetIconPositionY(23.000000)
StarForeBeam.SetIconAboveShip(1)
StarForeBeam.SetFireSound("Warbird Phaser")
StarForeBeam.SetMaxCharge(2.250000)
StarForeBeam.SetMaxDamage(2000.000000)
StarForeBeam.SetMaxDamageDistance(100.000000)
StarForeBeam.SetMinFiringCharge(0.600000)
StarForeBeam.SetNormalDischargeRate(1.000000)
StarForeBeam.SetRechargeRate(0.360000)
StarForeBeam.SetIndicatorIconNum(506)
StarForeBeam.SetIndicatorIconPositionX(104.000000)
StarForeBeam.SetIndicatorIconPositionY(20.000000)
StarForeBeamForward = App.TGPoint3()
StarForeBeamForward.SetXYZ(0.707107, 0.707107, 0.000000)
StarForeBeamUp = App.TGPoint3()
StarForeBeamUp.SetXYZ(0.000000, 0.000000, 1.000000)
StarForeBeam.SetOrientation(StarForeBeamForward, StarForeBeamUp)
StarForeBeam.SetWidth(0.040000)
StarForeBeam.SetLength(0.010000)
StarForeBeam.SetArcWidthAngles(0.436332, -0.436332)
StarForeBeam.SetArcHeightAngles(-0.087266, -0.785398)
StarForeBeam.SetPhaserTextureStart(0)
StarForeBeam.SetPhaserTextureEnd(0)
StarForeBeam.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 0.839216, 0.000000, 1.000000)
StarForeBeam.SetOuterShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 0.501961, 1.000000)
StarForeBeam.SetInnerShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 0.501961, 1.000000)
StarForeBeam.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 0.839216, 0.000000, 1.000000)
StarForeBeam.SetInnerCoreColor(kColor)
StarForeBeam.SetNumSides(12)
StarForeBeam.SetMainRadius(0.080000)
StarForeBeam.SetTaperRadius(0.050000)
StarForeBeam.SetCoreScale(0.400000)
StarForeBeam.SetTaperRatio(0.100000)
StarForeBeam.SetTaperMinLength(30.000000)
StarForeBeam.SetTaperMaxLength(30.000000)
StarForeBeam.SetLengthTextureTilePerUnit(0.100000)
StarForeBeam.SetPerimeterTile(1.000000)
StarForeBeam.SetTextureSpeed(2.000000)
StarForeBeam.SetTextureName("data/phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(StarForeBeam)
#################################################
DorsalBeam = App.PhaserProperty_Create("Dorsal Beam")

DorsalBeam.SetMaxCondition(4000.000000)
DorsalBeam.SetCritical(0)
DorsalBeam.SetTargetable(1)
DorsalBeam.SetPrimary(1)
DorsalBeam.SetPosition(0.000000, 2.211070, 1.794190)
DorsalBeam.SetPosition2D(64.000000, 46.000000)
DorsalBeam.SetRepairComplexity(2.000000)
DorsalBeam.SetDisabledPercentage(0.400000)
DorsalBeam.SetRadius(0.080000)
DorsalBeam.SetDumbfire(0)
DorsalBeam.SetWeaponID(0)
DorsalBeam.SetGroups(0)
DorsalBeam.SetDamageRadiusFactor(0.100000)
DorsalBeam.SetIconNum(364)
DorsalBeam.SetIconPositionX(38.000000)
DorsalBeam.SetIconPositionY(55.000000)
DorsalBeam.SetIconAboveShip(1)
DorsalBeam.SetFireSound("Warbird Phaser")
DorsalBeam.SetMaxCharge(2.250000)
DorsalBeam.SetMaxDamage(2000.000000)
DorsalBeam.SetMaxDamageDistance(100.000000)
DorsalBeam.SetMinFiringCharge(0.600000)
DorsalBeam.SetNormalDischargeRate(1.000000)
DorsalBeam.SetRechargeRate(0.360000)
DorsalBeam.SetIndicatorIconNum(510)
DorsalBeam.SetIndicatorIconPositionX(34.000000)
DorsalBeam.SetIndicatorIconPositionY(50.000000)
DorsalBeamForward = App.TGPoint3()
DorsalBeamForward.SetXYZ(0.000000, 0.000000, 1.000000)
DorsalBeamUp = App.TGPoint3()
DorsalBeamUp.SetXYZ(0.000000, 1.000000, 0.000000)
DorsalBeam.SetOrientation(DorsalBeamForward, DorsalBeamUp)
DorsalBeam.SetWidth(0.040000)
DorsalBeam.SetLength(0.010000)
DorsalBeam.SetArcWidthAngles(0.872665, -0.872665)
DorsalBeam.SetArcHeightAngles(1.308997, -0.610865)
DorsalBeam.SetPhaserTextureStart(0)
DorsalBeam.SetPhaserTextureEnd(0)
DorsalBeam.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 0.839216, 0.000000, 1.000000)
DorsalBeam.SetOuterShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 0.501961, 1.000000)
DorsalBeam.SetInnerShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 0.501961, 1.000000)
DorsalBeam.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 0.839216, 0.000000, 1.000000)
DorsalBeam.SetInnerCoreColor(kColor)
DorsalBeam.SetNumSides(12)
DorsalBeam.SetMainRadius(0.080000)
DorsalBeam.SetTaperRadius(0.050000)
DorsalBeam.SetCoreScale(0.400000)
DorsalBeam.SetTaperRatio(0.100000)
DorsalBeam.SetTaperMinLength(30.000000)
DorsalBeam.SetTaperMaxLength(30.000000)
DorsalBeam.SetLengthTextureTilePerUnit(0.100000)
DorsalBeam.SetPerimeterTile(1.000000)
DorsalBeam.SetTextureSpeed(2.000000)
DorsalBeam.SetTextureName("data/phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(DorsalBeam)
#################################################
VentralBeam = App.PhaserProperty_Create("Ventral Beam")

VentralBeam.SetMaxCondition(4000.000000)
VentralBeam.SetCritical(0)
VentralBeam.SetTargetable(1)
VentralBeam.SetPrimary(1)
VentralBeam.SetPosition(-0.011031, -0.480568, -1.634300)
VentralBeam.SetPosition2D(65.000000, 80.000000)
VentralBeam.SetRepairComplexity(2.000000)
VentralBeam.SetDisabledPercentage(0.400000)
VentralBeam.SetRadius(0.080000)
VentralBeam.SetDumbfire(0)
VentralBeam.SetWeaponID(0)
VentralBeam.SetGroups(0)
VentralBeam.SetDamageRadiusFactor(0.100000)
VentralBeam.SetIconNum(363)
VentralBeam.SetIconPositionX(89.000000)
VentralBeam.SetIconPositionY(57.000000)
VentralBeam.SetIconAboveShip(1)
VentralBeam.SetFireSound("Warbird Phaser")
VentralBeam.SetMaxCharge(2.250000)
VentralBeam.SetMaxDamage(2000.000000)
VentralBeam.SetMaxDamageDistance(100.000000)
VentralBeam.SetMinFiringCharge(0.600000)
VentralBeam.SetNormalDischargeRate(1.000000)
VentralBeam.SetRechargeRate(0.360000)
VentralBeam.SetIndicatorIconNum(511)
VentralBeam.SetIndicatorIconPositionX(84.000000)
VentralBeam.SetIndicatorIconPositionY(52.000000)
VentralBeamForward = App.TGPoint3()
VentralBeamForward.SetXYZ(0.000000, 0.000000, -1.000000)
VentralBeamUp = App.TGPoint3()
VentralBeamUp.SetXYZ(0.000000, 1.000000, 0.000000)
VentralBeam.SetOrientation(VentralBeamForward, VentralBeamUp)
VentralBeam.SetWidth(0.040000)
VentralBeam.SetLength(0.010000)
VentralBeam.SetArcWidthAngles(0.872665, -0.872665)
VentralBeam.SetArcHeightAngles(1.308997, -0.610865)
VentralBeam.SetPhaserTextureStart(0)
VentralBeam.SetPhaserTextureEnd(0)
VentralBeam.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 0.839216, 0.000000, 1.000000)
VentralBeam.SetOuterShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 0.501961, 1.000000)
VentralBeam.SetInnerShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 0.501961, 1.000000)
VentralBeam.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 0.839216, 0.000000, 1.000000)
VentralBeam.SetInnerCoreColor(kColor)
VentralBeam.SetNumSides(12)
VentralBeam.SetMainRadius(0.080000)
VentralBeam.SetTaperRadius(0.050000)
VentralBeam.SetCoreScale(0.400000)
VentralBeam.SetTaperRatio(0.100000)
VentralBeam.SetTaperMinLength(30.000000)
VentralBeam.SetTaperMaxLength(30.000000)
VentralBeam.SetLengthTextureTilePerUnit(0.100000)
VentralBeam.SetPerimeterTile(1.000000)
VentralBeam.SetTextureSpeed(2.000000)
VentralBeam.SetTextureName("data/phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(VentralBeam)
#################################################
PortAftBeam = App.PhaserProperty_Create("Port Aft Beam")

PortAftBeam.SetMaxCondition(4000.000000)
PortAftBeam.SetCritical(0)
PortAftBeam.SetTargetable(1)
PortAftBeam.SetPrimary(1)
PortAftBeam.SetPosition(-0.315000, -5.748590, -0.076475)
PortAftBeam.SetPosition2D(54.000000, 111.000000)
PortAftBeam.SetRepairComplexity(2.000000)
PortAftBeam.SetDisabledPercentage(0.400000)
PortAftBeam.SetRadius(0.080000)
PortAftBeam.SetDumbfire(0)
PortAftBeam.SetWeaponID(0)
PortAftBeam.SetGroups(0)
PortAftBeam.SetDamageRadiusFactor(0.100000)
PortAftBeam.SetIconNum(340)
PortAftBeam.SetIconPositionX(26.000000)
PortAftBeam.SetIconPositionY(81.000000)
PortAftBeam.SetIconAboveShip(1)
PortAftBeam.SetFireSound("Warbird Phaser")
PortAftBeam.SetMaxCharge(2.250000)
PortAftBeam.SetMaxDamage(2000.000000)
PortAftBeam.SetMaxDamageDistance(100.000000)
PortAftBeam.SetMinFiringCharge(0.600000)
PortAftBeam.SetNormalDischargeRate(1.000000)
PortAftBeam.SetRechargeRate(0.360000)
PortAftBeam.SetIndicatorIconNum(500)
PortAftBeam.SetIndicatorIconPositionX(20.000000)
PortAftBeam.SetIndicatorIconPositionY(90.000000)
PortAftBeamForward = App.TGPoint3()
PortAftBeamForward.SetXYZ(-1.000000, 0.000000, 0.000000)
PortAftBeamUp = App.TGPoint3()
PortAftBeamUp.SetXYZ(0.000000, 0.000000, 1.000000)
PortAftBeam.SetOrientation(PortAftBeamForward, PortAftBeamUp)
PortAftBeam.SetWidth(0.040000)
PortAftBeam.SetLength(0.010000)
PortAftBeam.SetArcWidthAngles(0.785398, -0.610865)
PortAftBeam.SetArcHeightAngles(0.698132, -0.698132)
PortAftBeam.SetPhaserTextureStart(0)
PortAftBeam.SetPhaserTextureEnd(0)
PortAftBeam.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 0.839216, 0.000000, 1.000000)
PortAftBeam.SetOuterShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 0.501961, 1.000000)
PortAftBeam.SetInnerShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 0.501961, 1.000000)
PortAftBeam.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 1.000000)
PortAftBeam.SetInnerCoreColor(kColor)
PortAftBeam.SetNumSides(12)
PortAftBeam.SetMainRadius(0.080000)
PortAftBeam.SetTaperRadius(0.050000)
PortAftBeam.SetCoreScale(0.400000)
PortAftBeam.SetTaperRatio(0.100000)
PortAftBeam.SetTaperMinLength(30.000000)
PortAftBeam.SetTaperMaxLength(30.000000)
PortAftBeam.SetLengthTextureTilePerUnit(0.100000)
PortAftBeam.SetPerimeterTile(1.000000)
PortAftBeam.SetTextureSpeed(2.000000)
PortAftBeam.SetTextureName("data/phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(PortAftBeam)
#################################################
StarAftBeam = App.PhaserProperty_Create("Star Aft Beam")

StarAftBeam.SetMaxCondition(4000.000000)
StarAftBeam.SetCritical(0)
StarAftBeam.SetTargetable(1)
StarAftBeam.SetPrimary(1)
StarAftBeam.SetPosition(0.315000, -5.748590, -0.076475)
StarAftBeam.SetPosition2D(76.000000, 112.000000)
StarAftBeam.SetRepairComplexity(2.000000)
StarAftBeam.SetDisabledPercentage(0.400000)
StarAftBeam.SetRadius(0.080000)
StarAftBeam.SetDumbfire(0)
StarAftBeam.SetWeaponID(0)
StarAftBeam.SetGroups(0)
StarAftBeam.SetDamageRadiusFactor(0.100000)
StarAftBeam.SetIconNum(360)
StarAftBeam.SetIconPositionX(99.000000)
StarAftBeam.SetIconPositionY(81.000000)
StarAftBeam.SetIconAboveShip(1)
StarAftBeam.SetFireSound("Warbird Phaser")
StarAftBeam.SetMaxCharge(2.250000)
StarAftBeam.SetMaxDamage(2000.000000)
StarAftBeam.SetMaxDamageDistance(100.000000)
StarAftBeam.SetMinFiringCharge(0.600000)
StarAftBeam.SetNormalDischargeRate(1.000000)
StarAftBeam.SetRechargeRate(0.360000)
StarAftBeam.SetIndicatorIconNum(503)
StarAftBeam.SetIndicatorIconPositionX(104.000000)
StarAftBeam.SetIndicatorIconPositionY(90.000000)
StarAftBeamForward = App.TGPoint3()
StarAftBeamForward.SetXYZ(1.000000, 0.000000, 0.000000)
StarAftBeamUp = App.TGPoint3()
StarAftBeamUp.SetXYZ(0.000000, 0.000000, 1.000000)
StarAftBeam.SetOrientation(StarAftBeamForward, StarAftBeamUp)
StarAftBeam.SetWidth(0.040000)
StarAftBeam.SetLength(0.010000)
StarAftBeam.SetArcWidthAngles(0.610865, -0.785398)
StarAftBeam.SetArcHeightAngles(0.698132, -0.698132)
StarAftBeam.SetPhaserTextureStart(0)
StarAftBeam.SetPhaserTextureEnd(0)
StarAftBeam.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 0.839216, 0.000000, 1.000000)
StarAftBeam.SetOuterShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 0.501961, 1.000000)
StarAftBeam.SetInnerShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 0.501961, 1.000000)
StarAftBeam.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 1.000000)
StarAftBeam.SetInnerCoreColor(kColor)
StarAftBeam.SetNumSides(12)
StarAftBeam.SetMainRadius(0.080000)
StarAftBeam.SetTaperRadius(0.050000)
StarAftBeam.SetCoreScale(0.400000)
StarAftBeam.SetTaperRatio(0.100000)
StarAftBeam.SetTaperMinLength(30.000000)
StarAftBeam.SetTaperMaxLength(30.000000)
StarAftBeam.SetLengthTextureTilePerUnit(0.100000)
StarAftBeam.SetPerimeterTile(1.000000)
StarAftBeam.SetTextureSpeed(2.000000)
StarAftBeam.SetTextureName("data/phaser.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(StarAftBeam)

# Property Set
def LoadPropertySet(pObj):
	"Sets up the object's properties."
	prop = App.g_kModelPropertyManager.FindByName("Warbird", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Hull", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Quantum Singularity", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Shield Generator", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Sensor Array", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Impulse Engines", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Warp Engines", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Cloaking Device", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Damage Control", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Torpedoes", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Disruptor Cannons", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Bridge", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenForward", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenBack", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenLeft", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenRight", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenUp", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenDown", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("FirstPersonCamera", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Tractor Beam", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Shuttle Bay", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Shuttle Bay OEP", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Fwd Torpedo 1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Fwd Torpedo 2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Aft Torpedo", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Fwd Heavy Pulse", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Port Pulse", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Star Pulse", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Dorsal Pulse 1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Dorsal Pulse 2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Ventral Pulse 1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Ventral Pulse 2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Port Warp", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Star Warp", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Main Impulse", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Port Fwd Impulse ", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Star Fwd Impulse", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Fwd Tractor", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Aft Tractor", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Ventral Tractor", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Disruptor Beams", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Forward Beam", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Port Fore Beam", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Star Fore Beam", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Dorsal Beam", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Ventral Beam", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Port Aft Beam", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Star Aft Beam", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
